summaryrefslogtreecommitdiffstats
path: root/install/ui/util
diff options
context:
space:
mode:
authorPetr Vobornik <pvoborni@redhat.com>2012-11-26 13:51:04 +0100
committerPetr Vobornik <pvoborni@redhat.com>2013-01-18 15:10:36 +0100
commit217341560c0e4ef38c88b843c780a1ff90e47d67 (patch)
treef042b7c813e20248bc056ae36e50e7eb6e61bd31 /install/ui/util
parent339790ec8eca5b7f781e59c667880b0938616918 (diff)
downloadfreeipa-217341560c0e4ef38c88b843c780a1ff90e47d67.tar.gz
freeipa-217341560c0e4ef38c88b843c780a1ff90e47d67.tar.xz
freeipa-217341560c0e4ef38c88b843c780a1ff90e47d67.zip
Minimal Dojo layer
Added configuration files for building Dojo library and built library itself. This configuration contains only modules currently needed. make-dojo.sh script should be used for rebuilding the library when additional modules or an update are needed. https://fedorahosted.org/freeipa/ticket/112
Diffstat (limited to 'install/ui/util')
-rwxr-xr-xinstall/ui/util/make-dojo.sh38
1 files changed, 38 insertions, 0 deletions
diff --git a/install/ui/util/make-dojo.sh b/install/ui/util/make-dojo.sh
new file mode 100755
index 000000000..3b864763f
--- /dev/null
+++ b/install/ui/util/make-dojo.sh
@@ -0,0 +1,38 @@
+#!/bin/bash
+
+# Authors:
+# Petr Vobornik <pvoborni@redhat.com>
+#
+# Copyright (C) 2012 Red Hat
+# see file 'COPYING' for use and warranty information
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+# Build script for Dojo library
+
+DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
+
+$DIR/prepare-dojo.sh --links --dojo
+
+$DIR/clean.sh
+$DIR/build.sh dojo
+
+# Stop at error. We don't want to overwrite good build with failed build.
+if [[ $? != 0 ]] ; then
+ echo "Build failed"
+ exit 1
+fi
+
+$DIR/compile.sh --release dojo --layer dojo/dojo --output $DIR/../build/dojo/dojo.js
+$DIR/clean.sh \ No newline at end of file